Need help installing a stable LE on a VIM3 (A311)

  • I am trying to install LE on a VIM3, but i seem to be too stupid to.


    I am able to install the Nightly Builds, (LibreELEC-AMLG12.arm-9.80-nightly-20200208-75e2e56-box.img.gz)
    But on KODI 19 i get a mass of errors from my addons when i restore a backup from my Raspi 3 which ist running LE 9.2.

    I was able to identify the problem to the Kodi Version, i patched the raspi to a nightly build an got the same addon errors.
    And i am absolutely incapable of installing the stable img from the LE website (LibreELEC-KVIM.arm-9.0.2.img.gz)

    Also tried to Downgrade the Nightly with the stable. No luck. LE tells me while patching: missing (source) KERNEL or SYSTEM


    I dont know what to do, someone any ideas ?

  • KVIM is a legacy image for VIM1 only. The add-on errors are likely caused by the Python2 to Python3 change in Kodi v19 - you'll probably need to remove all add-ons and reinstall them with K19 compatible versions. Once an add-on is reinstalled you can probably copy the config back to preserve settings. The fun thing is .. not all add-ons will be available in Python3 versions yet.